package com.wd.workoffice.bean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class FinancialBean {


    private List<RecordsBean> records;

    public List<RecordsBean> getRecords() {
        return records;
    }

    public void setRecords(List<RecordsBean> records) {
        this.records = records;
    }

    public static class RecordsBean {
        /**
         * createdBy : 675
         * createdByName : null
         * createdTime : 2020-04-01 10:50:54
         * updatedBy : null
         * updatedByName : null
         * updatedTime : null
         * id : SO10757
         * serialNumber : FT20040110505328
         * payDept : 117
         * totalMoney : 155.0
         * status : 0
         * applyRemark : 通过
         * auditRemark : null
         * applierId : 675
         * auditorId : null
         * applierName : 李凯
         * payDeptName : 销售四公司
         * auditorName : null
         * payDate : 201911
         * financeTaxItems : null
         */

        private int createdBy;
        private Object createdByName;
        private String createdTime;
        private Object updatedBy;
        private Object updatedByName;
        private Object updatedTime;
        private String id;
        private String serialNumber;
        private int payDept;
        private double totalMoney;
        private String status;
        private String applyRemark;
        private Object auditRemark;
        private int applierId;
        private Object auditorId;
        private String applierName;
        private String payDeptName;
        private Object auditorName;
        private int payDate;
        private Object financeTaxItems;

        public int getCreatedBy() {
            return createdBy;
        }

        public void setCreatedBy(int createdBy) {
            this.createdBy = createdBy;
        }

        public Object getCreatedByName() {
            return createdByName;
        }

        public void setCreatedByName(Object createdByName) {
            this.createdByName = createdByName;
        }

        public String getCreatedTime() {
            return createdTime;
        }

        public void setCreatedTime(String createdTime) {
            this.createdTime = createdTime;
        }

        public Object getUpdatedBy() {
            return updatedBy;
        }

        public void setUpdatedBy(Object updatedBy) {
            this.updatedBy = updatedBy;
        }

        public Object getUpdatedByName() {
            return updatedByName;
        }

        public void setUpdatedByName(Object updatedByName) {
            this.updatedByName = updatedByName;
        }

        public Object getUpdatedTime() {
            return updatedTime;
        }

        public void setUpdatedTime(Object updatedTime) {
            this.updatedTime = updatedTime;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getSerialNumber() {
            return serialNumber;
        }

        public void setSerialNumber(String serialNumber) {
            this.serialNumber = serialNumber;
        }

        public int getPayDept() {
            return payDept;
        }

        public void setPayDept(int payDept) {
            this.payDept = payDept;
        }

        public double getTotalMoney() {
            return totalMoney;
        }

        public void setTotalMoney(double totalMoney) {
            this.totalMoney = totalMoney;
        }

        public String getStatus() {
            return status;
        }

        public void setStatus(String status) {
            this.status = status;
        }

        public String getApplyRemark() {
            return applyRemark;
        }

        public void setApplyRemark(String applyRemark) {
            this.applyRemark = applyRemark;
        }

        public Object getAuditRemark() {
            return auditRemark;
        }

        public void setAuditRemark(Object auditRemark) {
            this.auditRemark = auditRemark;
        }

        public int getApplierId() {
            return applierId;
        }

        public void setApplierId(int applierId) {
            this.applierId = applierId;
        }

        public Object getAuditorId() {
            return auditorId;
        }

        public void setAuditorId(Object auditorId) {
            this.auditorId = auditorId;
        }

        public String getApplierName() {
            return applierName;
        }

        public void setApplierName(String applierName) {
            this.applierName = applierName;
        }

        public String getPayDeptName() {
            return payDeptName;
        }

        public void setPayDeptName(String payDeptName) {
            this.payDeptName = payDeptName;
        }

        public Object getAuditorName() {
            return auditorName;
        }

        public void setAuditorName(Object auditorName) {
            this.auditorName = auditorName;
        }

        public int getPayDate() {
            return payDate;
        }

        public void setPayDate(int payDate) {
            this.payDate = payDate;
        }

        public Object getFinanceTaxItems() {
            return financeTaxItems;
        }

        public void setFinanceTaxItems(Object financeTaxItems) {
            this.financeTaxItems = financeTaxItems;
        }
    }
}
